Show / Hide Table of Contents

# Enum ImGuiFileDialogFlags

Settings flags for the FileDialog class.

###### Namespace: Dalamud.Interface.ImGuiFileDialog

###### Assembly: Dalamud.dll

##### Syntax

    [Flags]
    public enum ImGuiFileDialogFlags

### Fields

Name | Description
--- | ---
ConfirmOverwrite | Confirm the selection when choosing a file which already exists.
DisableCreateDirectoryButton | Disable the creation of new folders within the dialog.
DontShowHiddenFiles | Hide files or folders which start with a period.
HideColumnDate | Hide the last modified date column.
HideColumnSize | Hide the file size column.
HideColumnType | Hide the type column.
HideSideBar | Hide the quick access sidebar.
None | None.
SelectOnly | Only allow selection of files or folders which currently exist.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()